Commit c3fd37cb authored by intrigeri's avatar intrigeri
Browse files

Release process: update VeraCrypt section for Buster.

That is:

 - Drop packages we don't patch anymore.
 - For the remaining ones: update reference version.
 - In the rest of the doc: s/stretch/buster/
parent 67730b16
......@@ -7,16 +7,12 @@ support in GNOME until they are available in Tails via the Debian repos
check if new versions of the following source packages have hit Debian
stretch or stretch-security:
* [udisks2](https://packages.debian.org/source/stable/udisks2) (version in Tails: 2.1.8-1.0tails3)
* [gnome-disk-utility](https://packages.debian.org/source/stable/gnome-disk-utility) (version in Tails: 3.22.1-1.0tails1)
* [glib2.0](https://packages.debian.org/source/stable/glib2.0) (version in Tails: 2.50.3-2.0tails3)
* [gtk+3.0](https://packages.debian.org/source/stable/gtk+3.0) (version in Tails: 3.22.11-1.0tails5)
* [gvfs](https://packages.debian.org/source/stable/gvfs) (version in Tails: 1.30.4-1.0tails5)
* [gobject-introspection](https://packages.debian.org/source/stable/gobject-introspection) (version in Tails: 1.50.0-1.0tails2)
* [gjs](https://packages.debian.org/source/stable/gjs) (version in Tails: 1.46.0-1.0tails2)
* [gnome-shell](https://packages.debian.org/source/stable/gnome-shell) (version in Tails: 3.22.3-3.0tails6)
* [gtk+3.0](https://packages.debian.org/source/stable/gtk+3.0) (version in Tails: 3.24.5-1.0tails1)
* [gvfs](https://packages.debian.org/source/stable/gvfs) (version in Tails: 1.38.1-5.0tails1)
* [gjs](https://packages.debian.org/source/stable/gjs) (version in Tails: 1.54.3-1.0tails1)
* [gnome-shell](https://packages.debian.org/source/stable/gnome-shell) (version in Tails: 3.30.2-9.0tails1)
If any of these have a new version in stretch or stretch-security:
If any of these have a new version in buster or buster-security:
1. Download our custom package and source package it is was forked off from:
......@@ -26,7 +22,7 @@ If any of these have a new version in stretch or stretch-security:
OLD_VERSION=2.1.8-1.0tails3
# The version of the official Debian package it was forked off from
ORIGINAL_VERSION=2.1.8-1
# The new version in stretch or stretch-security
# The new version in buster or buster-security
NEW_VERSION=2.1.8-2
# Release the updated package should go in (stable, testing or devel)
RELEASE=stable
......@@ -36,7 +32,7 @@ If any of these have a new version in stretch or stretch-security:
sudo tee /etc/apt/sources.list.d/tails.list <<EOF
deb-src tor+http://jenw7xbd6tf7vfhp.onion/ ${RELEASE:?} main
deb-src [check-valid-until=no] tor+http://snapshot.debian.org/archive/debian/20180904T000000Z/ stretch main
deb-src [check-valid-until=no] tor+http://snapshot.debian.org/archive/debian/20180904T000000Z/ buster main
EOF
sudo apt update
apt source --download-only "${PACKAGE_NAME:?}={OLD_VERSION:?}"
......@@ -54,7 +50,7 @@ If any of these have a new version in stretch or stretch-security:
debdiff-apply "${PACKAGE_NAME:?}_${NEW_VERSION:?}.dsc" tails.diff
1. Add changelog entry and build a new version of the patched package
in a Stretch/amd64 chroot:
in a Buster/amd64 chroot:
cd "${PACKAGE_NAME:?}"*/
debchange -i --distribution="${SUITE:?}" --force-distribution
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment